package ejb31.war.servlet;

import javax.annotation.Resource;
import javax.ejb.*;
import javax.sql.DataSource;
import javax.transaction.UserTransaction;

@Stateless
@TransactionManagement(TransactionManagementType.BEAN)
public class AnnotatedEJB {

    private String name = "foo";

    private @Resource(mappedName="jdbc/__default") DataSource ds;
    
    private @Resource UserTransaction utx;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public DataSource getDs() {
        return ds;
    }

    public void setDs(DataSource ds) {
        this.ds = ds;
    }

    public UserTransaction getUtx() {
        return utx;
    }

    public void setUtx(UserTransaction utx) {
        this.utx = utx;
    }

    public String toString() {
        return "AnnotatedEJB[name=" + name + "]";
    }
}
